> ## Documentation Index
> Fetch the complete documentation index at: https://docs.itoflow.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync live portfolio state

> Checks a live portfolio against its broker and takes the next recovery step: report that a reconnect is required, prepare approvals, reconcile, or do nothing.

Operation ID: post__portfolios_id_sync_live_state.



## OpenAPI

````yaml /openapi/itoflow-public.openapi.json post /portfolios/{id}/sync-live-state
openapi: 3.1.0
info:
  description: >-
    All Itoflow APIs are experimental and may change without notice. Read-only
    operations marked interactive can be tried from the documentation; the
    others are reference-only.
  title: Itoflow Developer API
  version: 1.0.0
servers:
  - description: Itoflow API
    url: https://api.itoflow.ai
security: []
tags:
  - name: Account
  - name: Billing
  - name: Brokers
  - name: Chat
  - name: Connected MCP servers
  - name: GitHub
  - name: Market data
  - name: Monitors
  - name: Notifications
  - name: Portfolios
  - name: Risk runs
  - name: Sharing and data
  - name: Strategies
paths:
  /portfolios/{id}/sync-live-state:
    post:
      tags:
        - Portfolios
      summary: Sync live portfolio state
      description: >-
        Checks a live portfolio against its broker and takes the next recovery
        step: report that a reconnect is required, prepare approvals, reconcile,
        or do nothing.


        Operation ID: post__portfolios_id_sync_live_state.
      operationId: post__portfolios_id_sync_live_state
      parameters:
        - description: Resource UUID
          in: path
          name: id
          required: true
          schema:
            description: Resource UUID
            example: 550e8400-e29b-41d4-a716-446655440000
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncLiveStateResponse'
          description: Live sync routing result
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid parameters
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Ownership required
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Portfolio not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Broker state is not ready for this action
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Server error
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Broker service error
      security:
        - bearerAuth: []
components:
  schemas:
    SyncLiveStateResponse:
      properties:
        latestDecisionId:
          format: uuid
          type:
            - string
            - 'null'
        message:
          type: string
        routedAction:
          enum:
            - none
            - reconnect
            - prepare_approval
            - reconcile
            - wait
          type: string
        state:
          enum:
            - clean
            - reconnect_required
            - preparing
            - reconciling
            - waiting
          type: string
        taskId:
          type:
            - string
            - 'null'
      required:
        - state
        - taskId
        - latestDecisionId
        - routedAction
        - message
      type: object
    Error:
      properties:
        available:
          description: Optional available amount or value
          type: string
        billing_action:
          $ref: '#/components/schemas/BillingAction'
        code:
          description: Machine-readable error code
          type: string
        currentVersion:
          description: Current server-side version, when relevant
          type: number
        details:
          description: Optional structured error details
        error:
          description: Error type or code
          type: string
        expectedVersion:
          description: Client-provided expected version, when relevant
          type: number
        message:
          description: Human-readable error message
          type: string
        requested:
          description: Optional requested amount or value
          type: string
        usage:
          description: Optional usage metadata for limit errors
      required:
        - error
      type: object
    BillingAction:
      description: Action that resolves a billing-related rejection
      properties:
        href:
          type: string
        kind:
          enum:
            - upgrade
            - payment_method
            - spending_cap
            - billing
          type: string
        label:
          type: string
      required:
        - href
        - label
        - kind
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: Itoflow access token issued for the Itoflow API.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.